Bug 169539 - Gnomemeeting causes "the application has quit unexpectedly" dialogue
Gnomemeeting causes "the application has quit unexpectedly" dialogue
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnomemeeting (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-29 10:28 EDT by John Bradshaw
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 00:57:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Bradshaw 2005-09-29 10:28:01 EDT
Description of problem:

Gnomemeeting produces a dialogue box which says
The Application "gnomemeeting" has quit unexpectedly.

However the application still works if you ignore this window - you can enter
the preferences dialogue box and change parameters, etc.

Program gives a return value of 1.  Can't do an strace as there's too much going
on to identify what is happening when the message appears.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. Open Gnomemeeting (either from bash or the menu)
2. Wait 30-40 seconds for the dialogue box saying the program has failed.
  
Actual results:
Unexpected dialogue box saying the app has crashed although there seems to be no
problem.

Expected results:
Dialogue box would not appear.

Additional info:
strace report...

*** MULTIPLE LINES OF STARTUP TRACING SNIPPED ***

poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN}, {fd=15, events=POLLIN|POLLPRI}],
5, -1) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "n\2\300\vK\246.\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 32) = 32
write(3, "\225\4\2\0\0\1\200\2", 8)     = 8
read(3, "\1\0\301\v\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0"..., 32) = 32
ioctl(3, FIONREAD, [0])                 = 0
poll(


**** 30-40 SECOND DELAY HERE ****


[{fd=4, events=POLLIN, revents=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN}, {fd=15, events=POLLIN|POLLPRI}],
5, -1) = 1
read(4, "A", 1)                         = 1
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN}, {fd=15, events=POLLIN|POLLPRI}],
5, 0) = 0
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN}, {fd=15, events=POLLIN|POLLPRI}],
5, -1) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\34\320\304\v9\0\200\0023\1\0\0\233*/\0\0000\f\10X\320"..., 32) = 32
ioctl(3, FIONREAD, [0])                 = 0
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN}, {fd=15, events=POLLIN|POLLPRI}],
5, -1) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "\34\320\304\v9\0\200\0023\1\0\0\257*/\0\0000\f\10X\320"..., 32) = 32
ioctl(3, FIONREAD, [0])                 = 0
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN}, {fd=15, events=POLLIN|POLLPRI}],
5, -1) = 1
ioctl(3, FIONREAD, [32])                = 0
read(3, "n\2\304\v\2578/\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\1\0"..., 32) = 32
write(3, "\225\4\2\0\0\1\0\0", 8)       = 8
read(3, "\1\0\305\v\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\1"..., 32) = 32
ioctl(3, FIONREAD, [0])                 = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}, {fd=8,
events=POLLIN|POLLPRI}, {fd=13, events=POLLIN}, {fd=15, events=POLLIN|POLLPRI}],
5, -1) = 1
Comment 1 John Bradshaw 2005-09-29 10:37:00 EDT
Forgot the versions...
bug-buddy-2.10.0-1
gnomemeeting-1.2.2-1.FC
kernel-2.6.12-1.1456_FC4

Comment 2 Alexander Larsson 2006-08-14 08:51:59 EDT
Does this still happen with ekiga in FC5?
Comment 3 John Bradshaw 2006-08-14 09:02:01 EDT
I'm not running FC5 so can't comment.
Comment 4 Matthias Clasen 2006-11-27 00:57:20 EST
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component


Note You need to log in before you can comment on or make changes to this bug.